> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post diconfigurationsvalidateregistered

> Validate registered object configurations



## OpenAPI

````yaml /schema.json post /di/configurations/validate/registered
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /di/configurations/validate/registered:
    post:
      tags:
        - Di
      description: Validate registered object configurations
      operationId: validateRegisteredObjectConfigurations
      parameters:
        - name: type
          in: query
          description: Type identifier
          required: false
          schema:
            type: string
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Test succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DiValidationResult'
        '400':
          description: Invalid configurations found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DiValidationResult'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    DiValidationResult:
      type: object
      properties:
        results:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
              identifier:
                type: string
              error:
                type: string
              violations:
                type: array
                items:
                  type: object
                  properties:
                    propertyPath:
                      type: string
                    title:
                      type: string
                    titleTemplate:
                      type: string
                    parameters:
                      type: object
                    type:
                      type: string
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string

````